رفتن به مطلب

نصب و راه اندازی IPB ورژن 4 و نیازمندی ها برای اجرا


ارسال های توصیه شده

سلام بنده یک VDS دارم که توسط خودم مدیریت میشه . مشخصات نرم افزاری در حال اجرا روی سرور بنده

 

OS : Linux Centos 6.6

Database : MariaDB

Webserver : Nginx 1.9

PHP-FPM 

Cache : Memcached server

 

ایا سازگار هست ؟ 

 

بد چه ماژول هایی نیاز هست برای نصب ؟ 

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  • بنیان گذار IPSFarsi

با سلام :)

نیازمندی ها به صورت کلی در این آدرس ذکر شده :

http://www.invisionpower.com/suite/requirements.php

که در همون صفحه فایلی که به شما می گه چه چیزهایی نیاز هست رو می تونید دریافت کنید و تست کنید.

مشخصات کلی شما تقریبا مثل اینجا هست که ما هم اینجا از NginX و PHP-FPM استفاده می کنیم.

بد چه ماژول هایی نیاز هست برای نصب ؟

ماژول هایی که تمام اسکریپت ها نیاز دارند واسه IPB هم نیازه مثل curl و بقیه که بستگی داره شما از مخزن نصب کنید یا از سورس.

موفق باشید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بنده PHP 5.4 دارم اما پیشنهاد IPB 5.2 هست ، DownGrade کنم ؟

 

سوال بعدی ایا برای اغاز مناسب هست ؟ من نیازی به پلاگین ها یا پوسته های انچنانی ندارم ، فقط یک سیستم پر قدرت میخوام 

 

الان متاسفانه با پشتیبانی مسخره ویبولتین درگیر هستم ، و مشکلات جزئی ، سرعت پایین ، سئو نا مناسب و در هم ریختگی

 

میخواستم انتقال بدم که کلا بیخیال شدم و به این نتیجه رسیدم که IPB رو از پایه نصب کنم و محتوای فعلی رو بیخیال شم و یک REMOVAL REQUEST به گوگل بدم ! 

 

سوالی دیگر ، ایا IPB مشکلات زیادی داره  ؟ حال که در نسخه Beta هست . میخواستم بدونم سطح مشکلات چگونه هست ؟ اونقدری هست که بتونه موجب نابودی محتوام بشه ؟ (* مشکلات جزئی و پیش پا افتاده یا رخنه های امنیتی مهم نیستند *) مشکلات عملکردی IPB به درستی کار نکنه

 

 

بعد یک مورد دیگه من اسکریپت check_requirements.php رو دانلود کردم اما : 

 

 

<?php define( 'IPB_VERSION', '3.4' ); ?>

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  • بنیان گذار IPSFarsi
اما پیشنهاد IPB 5.2 هست

پیشنهاد نیست حداقل نیازمندی 5.2 هست. پیشنهاد 5.5 هست برای نسخه 4 و برای نسخه 3 پیشنهاد 5.4 هست.

میخواستم انتقال بدم که کلا بیخیال شدم و به این نتیجه رسیدم که IPB رو از پایه نصب کنم و محتوای فعلی رو بیخیال شم و یک REMOVAL REQUEST به گوگل بدم !

من توصیه چنین کاری نمی کنم.

سوالی دیگر ، ایا IPB مشکلات زیادی داره ؟ 

اینو شما از دیگر کاربران  و کاربرانی که تازه از VB منتقل کردن بپرسید و تحقیق کنید می تونید حقیقت مطلب رو پیدا کنید به جای اینکه من به عنوان موسس این پشتیبانی و بقیه مدیران بهتون چیزی رو بگیم.

به عنوان مثال این تاپیک در سایت persianscript که به تازگی از vb تبدیل به IPB شده رو مطالعه کنید :

http://forum.persianscript.ir/topic/15351-%D8%B3%D9%88%D8%A7%D9%84-%D8%A7%D8%B2-%D9%85%D8%AF%DB%8C%D8%B1%DB%8C%D8%AA-%D9%85%D8%AD%D8%AA%D8%B1%D9%85mohammad/

حال که در نسخه Beta هست . میخواستم بدونم سطح مشکلات چگونه هست ؟ اونقدری هست که بتونه موجب نابودی محتوام بشه ؟ (* مشکلات جزئی و پیش پا افتاده یا رخنه های امنیتی مهم نیستند *) مشکلات عملکردی IPB به درستی کار نکنه

از نسخه بتا در اومده و اون طور مشکلی که شما می گید حتی توی نسخه بتا هم دیده نمی شد.

 

من قبلا دلیل اینکه چرا هنوز استفاده از نسخه 4 مناسب نیست رو ذکر کردم :

http://ipsfarsi.com/topic/17142-%D8%A2%DB%8C%D8%A7-%D8%A8%D9%87-%D9%86%D8%B3%D8%AE%D9%87-IPS-4-%D8%A8%D8%B1%D9%88%D8%B2-%DA%A9%D9%86%DB%8C%D9%85-%DB%8C%D8%A7-%D9%86%D8%B3%D8%AE%D9%87-IPS-4-%D8%B1%D8%A7-%D9%86%D8%B5%D8%A8-%DA%A9%D9%86%DB%8C%D9%85%D8%9F/

 

ولی تصمیم نهایی با خود شماست.

موفق باشید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  1. مد های که انگلیسی هستند برای پارسی سازی نیاز به RTL هم دارند ؟  
  2. ساختار پیوند های کاربر پسندش چگونه است ؟ ایا میشود به صورت Manual ساختار های لینک را شخصی سازی کرد ؟ 
  3. ایا کنترل پنل مدیریت پارسی هست ؟
  4. IPB 4 مد رایگانی برای اتصال به Wordpress 4.2.1 دارد ؟
  5. تغییراتی که زیاد به چشم نمی ایند در نسخه 4 ای پی برد چیست ؟

 

من توصیه چنین کاری نمی کنم.

 

چرا توصیه نمیکنید ؟ من که به هر حال باید از vb منتقل کنم ، و پست زیادی هم تا بحال در انجمن نفرستادم ! 

 

وقتی انتقال بدم که کلا ساختار لینک ها فرق میکنه ! و در گوگل هم با ارور 404 مواجه میشند  !

 

چه میشه کرد ؟ در خواست حذف ندم ؟ ارور های 404 بعد از مدتی از ایندکس حذف میشوند درسته ؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  • بنیان گذار IPSFarsi
مد های که انگلیسی هستند برای پارسی سازی نیاز به RTL هم دارند ؟

کل سیستم یکپارچه هست و مد ها نیاز به RTL کردن ندارند تنها فارسی سازی.

 

 

ساختار پیوند های کاربر پسندش چگونه است ؟ ایا میشود به صورت Manual ساختار های لینک را شخصی سازی کرد ؟ ایا کنترل پنل مدیریت پارسی هست ؟

ای کاش شما این نسخه رو نصب می کردید بعد سوال هاتون رو می پرسیدید چون این طوری دائما سوال پیش میاد و وقت خودتون رو هدر می دید. بله در نسخه 4 کل سیستم به همراه مدیریت کامل فارسی هست.

 

 

IPB 4 مد رایگانی برای اتصال به Wordpress 4.2.1 دارد ؟

اون تاپیک رو مطالعه کردید که لینک دادم ؟

http://ipsfarsi.com/topic/17142-%D8%A2%DB%8C%D8%A7-%D8%A8%D9%87-%D9%86%D8%B3%D8%AE%D9%87-IPS-4-%D8%A8%D8%B1%D9%88%D8%B2-%DA%A9%D9%86%DB%8C%D9%85-%DB%8C%D8%A7-%D9%86%D8%B3%D8%AE%D9%87-IPS-4-%D8%B1%D8%A7-%D9%86%D8%B5%D8%A8-%DA%A9%D9%86%DB%8C%D9%85%D8%9F/

من فکر نمی کنم مطالعه کرده باشید با دقت. چون نوشتم که هنوز مد ها در حال سازگاری  و ارتقا و نوشتن هستن و هنوز بانک مد ها کامل نیست ولی اگر اطلاعات فنی لازم رو داشته باشید می تونید به راحتی متصل کنید.

 

 

 

تغییراتی که زیاد به چشم نمی ایند در نسخه 4 ای پی برد چیست ؟

منظورتون نسخه 4 هست دیگه  که دارید با نسخه 3 مقایسه می کنید ؟

من متوجه منظور شما نمی شم. کلی این دو تا سیستم از زمین تا آسمون تغییر کردن. نکنه شما دارید نسخه 3.4 رو می گید و با نسخه 4 اشتباه انداختید ؟!

 

 

 

  در گوگل هم با ارور 404 مواجه میشند !

کی گفته با خطای 404 مواجه می شید ؟ سیستم خودش براتون redirect می کنه تا مشکل نداشته باشید. البته این کار برای نسخه 3.4 امکان پذیر هست.

 

بهترین توصیه ای که الان می تونم بکنم اینه که شما نسخه 3.4 رو نصب و استفاده کنید. پس از اینکه مطمئن شدید که این نسخه جوابگو نیازهای شما هست تبدیل کنید. چون با توجه به عرایض شما ، اطلاعات شما فوق العاده در مورد این سیستم ناقص هست و باعث می شه شما تصمیم گیری غلطی خدای نکرده در مورد سایت تون بگیرید.

موفق باشید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

کل سیستم یکپارچه هست و مد ها نیاز به RTL کردن ندارند تنها فارسی سازی.

 

 

ایا برای پوسته ها هم این چنین هست ؟ مثلا پوسته انگلیسی را فقط پارسی سازی کنیم کافیست یا باید RTL هم بشوند ؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

ایا برای پوسته ها هم این چنین هست ؟ مثلا پوسته انگلیسی را فقط پارسی سازی کنیم کافیست یا باید RTL هم بشوند ؟

درود بر شما....

این مورد فکر میکنم سلیقه ای باشه و در حالت پیش فرض هم نیاز خاصی نیست .........البته باز هم دوستان حرفه ای تر هستند

سپاس :bye:

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  • بنیان گذار IPSFarsi
ایا برای پوسته ها هم این چنین هست ؟ مثلا پوسته انگلیسی را فقط پارسی سازی کنیم کافیست یا باید RTL هم بشوند ؟

معمولا پوسته هایی که استاندارد طراحی می شن نیاز به فارسی سازی عبارات ندارند ولی بعضی ها دارند. سیستم هم خودش خودکار RTL می کنه تنها شما باید بر مبنای قالب کنونی تون اگر ناهماهنگی باشه با اضافه کردن کدهای CSS اختصاصی تون به ipb_rtl.css از طریق مدیریت این ناهمانگی رو رفع کنید.

موفق باشید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

اگر این چنین هست واقعا شاهکار هست ! الان جهت راستچین کردن پوسته ها برای دانلود پوسته های لاتین به کجا باید مراجعه کرد ؟ سایت اصلی خیر

 

منبعی که پوسته های پریمیوم نسخه چهار رو هم برای دانلود قرار داده باشه

 

مانند MafiaShare و چیز های دیگه

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بایگانی شده

این موضوع بایگانی و قفل شده و دیگر امکان ارسال پاسخ نیست.

مهمان
این موضوع برای عدم ارسال قفل گردیده است.
  • کاربران آنلاین در این صفحه   0 کاربر

    • هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.
×
×
  • اضافه کردن...

اطلاعات مهم

ما مجبور شدیم تا از کوکی ها و فناوری های مشابه برای اجرای این وب سایت استفاده کنیم تا بتوانیم تجربه بهتری در زمان استفاده از سایت برای شما ایجاد نماییم. سیاست حریم خصوصی.